Bug 13713 - Remove useless constraint in Koha::Schema::Result::Biblio
Summary: Remove useless constraint in Koha::Schema::Result::Biblio
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11518
Blocks: 13923
  Show dependency treegraph
 
Reported: 2015-02-16 15:40 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13713: WIP - Remove useless constraints previously added (2.70 KB, patch)
2015-02-16 15:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13713: Follow-up removing biblioitem routines (2.62 KB, patch)
2015-02-16 15:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13713: Follow-up removing biblioitem routines (2.70 KB, patch)
2015-02-20 14:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-02-16 15:40:01 UTC
2 patches need to be moved from bug 11518.
Comment 1 Jonathan Druart 2015-02-16 15:41:27 UTC
Created attachment 35949 [details] [review]
Bug 13713: WIP - Remove useless constraints previously added

This patch removes the 3 constraints added by patch from bug 11518.
Having 1-n + 1-1 relations for the same field is a non-sense.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Added a follow-up for removing some unneeded code.
Comment 2 Jonathan Druart 2015-02-16 15:41:31 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-02-20 14:41:07 UTC
Created attachment 36089 [details] [review]
[PASSED QA] Bug 13713: Follow-up removing biblioitem routines

There is no need to define biblioitem routines, if we can access them
via biblioitemnumber.
Note that we actually need a FK for biblio in the items table. Now we do
need the intermediate level via biblioitems in the Items.t code. Even better,
we should move biblioitem to biblio. Formally it is 1-n, but in reality it
is 1-1.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-03-07 21:29:36 UTC
Please rebase this one.
Comment 5 Jonathan Druart 2015-03-09 11:29:22 UTC
First patch was missing.
Comment 6 Tomás Cohen Arazi 2015-03-19 17:12:17 UTC
Patches pushed to master.

Thanks Jonathan and Marcel!